﻿using System.Web.Optimization;

namespace TestProject
{
    /// <summary>
    /// 번들 구성
    /// </summary>
    public class BundleConfiguration
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 번들 컬렉션 등록하기 - RegisterBundleCollection(bundleCollection)

        /// <summary>
        /// 번들 컬렉션 등록하기
        /// </summary>
        /// <param name="bundleCollection">번들 컬렉션</param>
        public static void RegisterBundleCollection(BundleCollection bundleCollection)
        {
            bundleCollection.Add
            (
                new ScriptBundle("~/bundles/jquery").Include
                (
                    "~/Scripts/jquery-{version}.js"
                )
            );

            bundleCollection.Add
            (
                new ScriptBundle("~/bundles/jqueryval").Include
                (
                    "~/Scripts/jquery.validate*"
                )
            );

            bundleCollection.Add
            (
                new ScriptBundle("~/bundles/modernizr").Include
                (
                    "~/Scripts/modernizr-*"
                )
            );

            bundleCollection.Add
            (
                new ScriptBundle("~/bundles/bootstrap").Include
                (
                    "~/Scripts/bootstrap.js"
                )
            );

            bundleCollection.Add
            (
                new StyleBundle("~/Content/css").Include
                (
                    "~/Content/bootstrap.css",
                    "~/Content/site.css"
                )
            );
        }

        #endregion
    }
}